# Clone a role

`POST https://backend.estactics.com/api/permissionsRoles/clone`

Creates a new role with the same permissions as an existing one.

Authentication: `Authorization: Bearer YOUR_API_KEY`. Required permission: `permissionsRoles.MANAGE_ORG_ROLES`.

## Body parameters

- `cloneFromId` (integer, required): ID of the role to copy.
- `name` (string, required): Name of the new role.
- `description` (string): What the role is for.

## Example request body

```json
{
  "cloneFromId": 5,
  "name": "Senior viewer"
}
```

## Example response

```json
{
  "success": true,
  "data": {
    "id": 6
  }
}
```
